OSDir


[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [VOTE] Release httpd-2.4.37


On 10/18/2018 02:12 PM, Daniel Ruggeri wrote:
php: "5.6.38"

Slightly off topic but I see you have ye old php 5.6.38 there. Was this
built and installed yourself?

Just curious is there is any guidance anywhere regarding php 7.x which
builds but it is a religious experience complete with prayer and black
cats under a full moon and scotch :

beta $ ./sapi/cli/php --version
PHP 7.2.8 (cli) (built: Aug 15 2018 03:13:17) ( NTS )
Copyright (c) 1997-2018 The PHP Group
Zend Engine v3.2.0, Copyright (c) 1998-2018 Zend Technologies
beta $

beta $ file ./sapi/cli/php
./sapi/cli/php: ELF 64-bit MSB executable SPARCV9 Version 1, dynamically linked, not stripped
beta $

The php folks are entirely and completely horrific at dealing with
anything that appears broken and their testing docs are quite blunt
about the fact that they don't want to hear from you.  In fact, you
are wrong, they are correct, go away :

beta $ more README.TESTING
[IMPORTANT NOTICE]
------------------
 Failed tests usually indicate a problem with your local system setup
and not within PHP itself (at least for official PHP release versions).
You may decide to automatically submit a test summary to our QA workflow
at the end of a test run.
 Please do *not* submit a failed test as a bug or ask for help on why
it failed on your system without providing substantial backup information
on *why* the test failed on your special setup. Thank you :-)


So have you tried anything with php 7.x from sources and made any progress with manually integrating httpd and php 7.x ??

Dennis Clarke